# Type definitions

This article describes the type definitions used by LiSA Library for the Handlebars.js templates' input objects.

According to your custom sections config (see Configuration options ), if provided, or the default sections config, LiSA Library creates an array of Section objects and passes it to the Handlebars.js template:

```
interface LibraryInputObject {
  sections: Section[];
}
```

### Input object type definitions

Below you'll find the type definitions for all objects used by LiSA Library.

#### Asset

```javascript
interface Asset {
  orientation: 'landscape' | 'portrait';
  type: 'image' | 'video';
  url: string;
}
```

#### Section

```javascript
interface Section {
  items: Show[];
  title?: string;
  variations: string[];
}
```

#### Show

```
interface Show {
  asset?: Asset;
  date?: string;
  hosts?: UserShortProfile[];
  id: string;
  description?: string;
  preview?: Asset;
  state: ShowState;
  tag?: string;
  title?: string;
  variations?: string[];
}
```

#### ShowState

```
enum ShowState {
  LIVE = "live",
  POST_SHOW = "postShow",
  PRE_SHOW = "preShow",
  REPLAY = "replay"
}
```

#### UserShortProfile

```
interface UserShortProfile {
  active?: boolean;
  avatar?: string;
  id: string;
  displayName: string;
  username: string;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/widgets/customisations/type-definitions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
